package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.VehicleAuditAddCmd;
import com.zcloud.primeport.dto.VehicleAuditPageQry;
import com.zcloud.primeport.dto.VehicleAuditUpdateCmd;
import com.zcloud.primeport.dto.clientobject.VehicleAuditCO;

/**
 * web-client
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:25
 */
public interface VehicleAuditServiceI {
    PageResponse<VehicleAuditCO> listPage(VehicleAuditPageQry qry);

    SingleResponse<VehicleAuditCO> add(VehicleAuditAddCmd cmd);

    void edit(VehicleAuditUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    PageResponse<VehicleAuditCO> carApprovalLogByvehicleApplyIdList(VehicleAuditPageQry qry);

    void audit(VehicleAuditUpdateCmd cmd);

    VehicleAuditCO getInfoById(Long id);
}

